local E = select(2, ...) -- Engine
local CO = E:LoadModules("Config")


function CO:SetDefaults()
	
	E.MoverDefaults = {
		["UIWidgetTopCenterContainerFrameMover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "TOP",
			["point"] = "TOP",
			["yOffset"] = -50.5556411743164,
		},
		["CUI_TotemBarMover"] = {
			["xOffset"] = 160,
			["yOffset"] = 75,
			["point"] = "LEFT",
			["relativePoint"] = "LEFT",
		},
		["VehicleSeatIndicatorMover"] = {
			["xOffset"] = -255.999954223633,
			["yOffset"] = -222.666610717773,
			["point"] = "TOPRIGHT",
			["relativePoint"] = "TOPRIGHT",
		},
		["RaidRoleFrameMover"] = {
			["xOffset"] = 333.333282470703,
			["yOffset"] = 10.0000743865967,
			["point"] = "TOPLEFT",
			["relativePoint"] = "TOPLEFT",
		},
		["arenaHolderMover"] = {
			["xOffset"] = 285.555694580078,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["yOffset"] = -131.666549682617,
		},
		["bossHolderMover"] = {
			["xOffset"] = 418.889190673828,
			["yOffset"] = -179.444259643555,
			["point"] = "TOP",
			["relativePoint"] = "TOP",
		},
		["partyHolderMover"] = {
			["xOffset"] = 69.4441604614258,
			["yOffset"] = -130.555435180664,
			["point"] = "TOPLEFT",
			["relativePoint"] = "TOPLEFT",
		},
		["AlertFrameHolderMover"] = {
			["xOffset"] = -0.553298354148865,
			["yOffset"] = 234.667053222656,
			["point"] = "BOTTOM",
			["relativePoint"] = "BOTTOM",
		},
		["BNToastFrameMover"] = {
			["xOffset"] = -1.66770040988922,
			["relativePoint"] = "TOPRIGHT",
			["point"] = "TOPRIGHT",
			["yOffset"] = -254.999938964844,
		},
		["CUI_focusMover"] = {
			["xOffset"] = -417.499755859375,
			["relativePoint"] = "BOTTOMRIGHT",
			["point"] = "BOTTOMRIGHT",
			["yOffset"] = 84.7216949462891,
		},
		["CharacterMicroButtonMover"] = {
			["xOffset"] = -367.777404785156,
			["yOffset"] = -207.666641235352,
			["point"] = "TOP",
			["relativePoint"] = "TOP",
		},
		["MicroMenuMover"] = {
			["xOffset"] = 0,
			["yOffset"] = 0,
			["point"] = "TOPLEFT",
			["relativePoint"] = "TOPLEFT",
		},
		["ZoneAbilityFrameMover"] = {
			["xOffset"] = 475,
			["relativePoint"] = "LEFT",
			["point"] = "LEFT",
			["yOffset"] = 75,
		},
		["ExtraActionBarFrameMover"] = {
			["xOffset"] = -270,
			["yOffset"] = 75,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["PlayerPowerBarAltMover"] = {
			["xOffset"] = 0.555413782596588,
			["yOffset"] = 167.999984741211,
			["point"] = "BOTTOM",
			["relativePoint"] = "BOTTOM",
		},
		["CUIPlayerBuffsBarMover"] = {
			["xOffset"] = -323.888549804688,
			["yOffset"] = -163.333068847656,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["raidHolderMover"] = {
			["xOffset"] = 12.7772092819214,
			["yOffset"] = -242.776351928711,
			["point"] = "LEFT",
			["relativePoint"] = "LEFT",
		},
		["raid40HolderMover"] = {
			["xOffset"] = 37.2239456176758,
			["relativePoint"] = "LEFT",
			["point"] = "LEFT",
			["yOffset"] = -189.665802001953,
		},
		["CUIPlayerDebuffsBarMover"] = {
			["xOffset"] = -413.333312988281,
			["yOffset"] = -191.110748291016,
			["point"] = "CENTER",
			["relativePoint"] = "CENTER",
		},
		["CUIUnitDebuffsBarMover"] = {
			["xOffset"] = 317.777435302734,
			["yOffset"] = -106.666404724121,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["TooltipAnchorMover"] = {
			["xOffset"] = -56.6678199768067,
			["yOffset"] = 100.555641174316,
			["relativePoint"] = "BOTTOMRIGHT",
			["point"] = "BOTTOMRIGHT",
		},
		["AlternatePowerMainFrameMover"] = {
			["xOffset"] = -413.888366699219,
			["yOffset"] = -285.000152587891,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["ChatParentMover"] = {
			["xOffset"] = 37.7778129577637,
			["yOffset"] = 73.3341903686524,
			["point"] = "BOTTOMLEFT",
			["relativePoint"] = "BOTTOMLEFT",
		},
		["CUI_targettargetMover"] = {
			["xOffset"] = 497.222198486328,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 188.334884643555,
		},
		["FocustargetMainFrameMover"] = {
			["xOffset"] = -20.5554180145264,
			["yOffset"] = -57.5001029968262,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["PartyMainFrameMover"] = {
			["xOffset"] = 116.111915588379,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = -84.6656341552735,
		},
		["TotMainFrameMover"] = {
			["xOffset"] = 57.2219963073731,
			["yOffset"] = -0.277524560689926,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["PetMainFrameMover"] = {
			["xOffset"] = -63.8885612487793,
			["yOffset"] = -2.22169184684753,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["FocusMainFrameMover"] = {
			["xOffset"] = 170.555892944336,
			["yOffset"] = 3.0555784702301,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["BossMainFrameMover"] = {
			["xOffset"] = -92.7774505615235,
			["yOffset"] = 217.22216796875,
			["point"] = "BOTTOM",
			["relativePoint"] = "BOTTOM",
		},
		["RaidMainFrameMover"] = {
			["xOffset"] = -327.220520019531,
			["yOffset"] = 161.388595581055,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["TargetMainFrameMover"] = {
			["xOffset"] = -3.33306646347046,
			["yOffset"] = -12.4995460510254,
			["point"] = "CENTER",
			["relativePoint"] = "CENTER",
		},
		["CUI_petMover"] = {
			["xOffset"] = -471.666198730469,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 168.333938598633,
		},
		["CUI_playerPowerContainerMover"] = {
			["xOffset"] = -317.77783203125,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 240.833084106445,
		},
		["CUI_targetPowerContainerMover"] = {
			["xOffset"] = 339.44384765625,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 235.27799987793,
		},
		["CUI_targetMover"] = {
			["xOffset"] = 414.999847412109,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 231.111526489258,
		},
		["CUI_focustargetMover"] = {
			["xOffset"] = -417.499755859375,
			["relativePoint"] = "BOTTOMRIGHT",
			["point"] = "BOTTOMRIGHT",
			["yOffset"] = 45.8336067199707,
		},
		["CUI_playerMover"] = {
			["xOffset"] = -413.888610839844,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 231.111389160156,
		},
		
		["CUIPlayerBuffsMover"] = {
			["xOffset"] = -221.778030395508,
			["yOffset"] = -12.6115560531616,
			["point"] = "TOPRIGHT",
			["relativePoint"] = "TOPRIGHT",
		},
		["CUIPlayerDebuffsMover"] = {
			["xOffset"] = -221.778610229492,
			["yOffset"] = -103.166763305664,
			["point"] = "TOPRIGHT",
			["relativePoint"] = "TOPRIGHT",
		},
		["CUITargetBuffsBarMover"] = {
			["xOffset"] = 414.444122314453,
			["yOffset"] = -143.888534545898,
			["point"] = "CENTER",
			["relativePoint"] = "CENTER",
		},
		["AuraBarContainerplayerMover"] = {
			["xOffset"] = -414.999237060547,
			["yOffset"] = -125.277473449707,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["AuraBarContainertargetMover"] = {
			["xOffset"] = 415,
			["yOffset"] = -70,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
		},
		["ObjectiveTrackerFrameMover"] = {
			["xOffset"] = -95.2779083251953,
			["yOffset"] = 120.475082397461,
			["point"] = "RIGHT",
			["relativePoint"] = "RIGHT",
		},
		
		["CUI_playerCastbar1Mover"] = {
			["xOffset"] = -7.29463936295360e-005,
			["yOffset"] = -283.611328125,
			["point"] = "CENTER",
			["relativePoint"] = "CENTER",
		},
		["CUI_targetCastbar1Mover"] = {
			["xOffset"] = 444.443756103516,
			["yOffset"] = -286.389495849609,
			["point"] = "CENTER",
			["relativePoint"] = "CENTER",
		},
		
		["CUI_focusCastbar1Mover"] = {
			["xOffset"] = -416.944061279297,
			["yOffset"] = 123.88835144043,
			["point"] = "BOTTOMRIGHT",
			["relativePoint"] = "BOTTOMRIGHT",
		},
		
		["CUI_PetActionbarMover"] = {
			["xOffset"] = 1.77710914611816,
			["relativePoint"] = "TOPLEFT",
			["point"] = "TOPLEFT",
			["yOffset"] = -36.055721282959,
		},
		["CUI_ActionBar1Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 105,
		},
		["CUI_ActionBar4Mover"] = {
			["xOffset"] = -10,
			["relativePoint"] = "RIGHT",
			["point"] = "RIGHT",
			["yOffset"] = 0,
		},
		["CUI_ActionBar8Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
			["yOffset"] = 0,
		},
		["CUI_StanceBarMover"] = {
			["point"] = "TOPLEFT",
			["relativePoint"] = "TOPLEFT",
			["xOffset"] = 34.9999847412109,
			["yOffset"] = -86.1111755371094,
		},
		["CUI_ActionBar6Mover"] = {
			["xOffset"] = -50,
			["yOffset"] = 0,
			["point"] = "RIGHT",
			["relativePoint"] = "RIGHT",
		},
		["ChatFrame1Mover"] = {
			["xOffset"] = 43.3344345092773,
			["relativePoint"] = "BOTTOMLEFT",
			["point"] = "BOTTOMLEFT",
			["yOffset"] = 77.7770156860352,
		},
		["CUI_ActionBar3Mover"] = {
			["xOffset"] = 315,
			["yOffset"] = 25,
			["point"] = "BOTTOM",
			["relativePoint"] = "BOTTOM",
		},
		["CUI_ActionBar5Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 25,
		},
		["CUI_ActionBar2Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 65,
		},
		["CUI_ActionBar7Mover"] = {
			["xOffset"] = -315,
			["relativePoint"] = "BOTTOM",
			["point"] = "BOTTOM",
			["yOffset"] = 25,
		},
		["CUI_ActionBar9Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
			["yOffset"] = 40,
		},
		["CUI_ActionBar10Mover"] = {
			["xOffset"] = 0,
			["relativePoint"] = "CENTER",
			["point"] = "CENTER",
			["yOffset"] = 80,
		},
	}
	
	E.ConfigDefaults = {
		profile = {
			["LUAErrors"] = false,
			["castbar"] = {
				["fontType"] = "Oswald",
			},
			["layout"] = {
				["location"] = {
					["fontType"] = "Oswald",
				},
			},
			["dataframes"] = {
				["raidroledata"] = {
					["scale"] = 1,
				},
			},
			["colors"] = {
				["powers"] = {
					["mana"] = nil,
					["rage"] = nil,
					["focus"] = nil,
					["energy"] = nil,
					["comboPoints"] = nil,
					["runes"] = nil,
					["runicPower"] = nil,
					["soulShards"] = nil,
					["lunarPower"] = nil,
					["holyPower"] = nil,
					["fuel"] = nil,
					["maelstrom"] = nil,
					["chi"] = nil,
					["insanity"] = nil,
					["arcaneCharges"] = nil,
					["fury"] = nil,
					["pain"] = nil,
					["stagger"] = nil,
				},
			},
			["customStats"] = false,
			["auras"] = {
				["size"] = 32,
				["bars"] = {
					["playerAuras"] = true,
					["targetBuffs"] = false,
					["targetDebuffs"] = true,
				},
				["units"] = {
					["player"] = {
						["aurabars"] = {
							["enable"] = true,
							["width"] = 278,
							["height"] = 18,
							["gapY"] = 2,
							["iconSize"] = 18,
							
							["nameFontPosition"] = "LEFT",
							["nameFontXOffset"] = 10,
							["nameFontYOffset"] = 0,
							["nameFontHeight"] = 11,
							["nameFontType"] = "Walkway Black",
							["nameFontFlags"] = "",
							["nameFontShadowColor"] = {0,0,0,1},
							["nameXFontShadowOffset"] = 1,
							["nameYFontShadowOffset"] = 1,
							
							["timeFontPosition"] = "RIGHT",	
							["timeFontXOffset"] = -10,
							["timeFontYOffset"] = 0,
							["timeFontHeight"] = 11,
							["timeFontType"] = "Walkway Black",
							["timeFontFlags"] = "",
							["timeFontShadowColor"] = {0,0,0,1},
							["timeXFontShadowOffset"] = 1,
							["timeYFontShadowOffset"] = 1,
							
							["backgroundColor"] = {0.15, 0.15, 0.15, 0.85},
						},
					},
					["target"] = {
						["aurabars"] = {
							["enable"] = true,
							["width"] = 278,
							["height"] = 18,
							["gapY"] = 2,
							["iconSize"] = 18,
							
							["nameFontPosition"] = "LEFT",
							["nameFontXOffset"] = 10,
							["nameFontYOffset"] = 0,
							["nameFontHeight"] = 11,
							["nameFontType"] = "Walkway Black",
							["nameFontFlags"] = "",
							["nameFontShadowColor"] = {0,0,0,1},
							["nameXFontShadowOffset"] = 1,
							["nameYFontShadowOffset"] = 1,
							
							["timeFontPosition"] = "RIGHT",
							["timeFontXOffset"] = -10,
							["timeFontYOffset"] = 0,
							["timeFontHeight"] = 11,
							["timeFontType"] = "Walkway Black",
							["timeFontFlags"] = "",
							["timeFontShadowColor"] = {0,0,0,1},
							["timeXFontShadowOffset"] = 1,
							["timeYFontShadowOffset"] = 1,
							
							["backgroundColor"] = {0.15, 0.15, 0.15, 0.85},
						},
					},
				},
			},
			["global"] = {
				["worldNameFont"] = "Michroma",
				["worldDamageFont"] = "EncodeSans Regular",
				["worldDefaultFont"] = "EncodeSans Regular",
			},
			["CVars"] = {
				["nameplateShowSelf"] = false,
				["test_cameraTargetFocusInteractEnable"] = false,
				["test_cameraTargetFocusEnemyEnable"] = false,
				["test_cameraTargetFocusEnemyStrengthPitch"] = 0.05,
				["cameraYawMoveSpeed"] = 0,
				["test_cameraTargetFocusEnemyStrengthYaw"] = 0.15,
				["test_cameraDynamicPitch"] = false,
				["test_cameraOverShoulder"] = 0,
				["test_cameraHeadMovementStrength"] = 0,
				["cameraPitchMoveSpeed"] = 0,
				["test_cameraDynamicPitchBaseFovPad"] = 0.25,
				["test_cameraDynamicPitchBaseFovPadFlying"] = 0.5,
			},
			["engine"] = {
				["hideActioncamNotification"] = true,
			},
			["minimap"] = {
				["scale"] = 1.15,
			},
			["movers"] = E:TableDeepCopy(E.MoverDefaults),
			["tooltip"] = {
				["header"] = {
					["fontType"] = "Raleway",
					["fontSize"] = 14,
					["fontFlags"] = "",
				},
				["body"] = {
					["fontType"] = "Raleway",
					["fontSize"] = 12,
					["fontFlags"] = "",
				},
				["background"] = {
					["border"] = "",
					["backgroundFile"] = "Interface/Tooltips/UI-Tooltip-Background",
					["alpha"] = 1
				},
			},
			["actionbar"] = {
					["global"] = {
						["borderTextureColor"] = {["r"] = 0, ["g"] = 0, ["b"] = 0, ["a"] = 1},
						["normalTextureColor"] = {["r"] = 0.55, ["g"] = 0.55, ["b"] = 0.55, ["a"] = 1},
						["highlightTextureColor"] = {["r"] = 0.9, ["g"] = 0.9, ["b"] = 0.9, ["a"] = 1},
						["pushedTextureColor"] = {["r"] = 0.9, ["g"] = 0.9, ["b"] = 0.9, ["a"] = 1},
						["normalTextureBlendMode"] = "BLEND",
						["borderTextureBlendMode"] = "BLEND",
						["highlightTextureBlendMode"] = "ADD",
						["pushedTextureBlendMode"] = "ADD",
						["useMasque"] = false,
					},
					["useMasque"] = false,
					["micromenu"] = {
						["buttonSizeMultiplier"] = 1,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
					},
					["zonebar"] = {
						["buttonSizeMultiplier"] = 1,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 0,
						["yOffset"] = -350,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["enable"] = true,
					},
					["extrabar"] = {
						["buttonSizeMultiplier"] = 1.25,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 0,
						["yOffset"] = -350,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["enable"] = true,
					},
					["stancebar"] = {
						["buttonSizeMultiplier"] = 0.75,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 10,
						["yOffset"] = -50,
						["point"] = "TOPLEFT",
						["relativePoint"] = "TOPLEFT",
						["enable"] = true,
						["visibilityCondition"] = "[petbattle] 0;1",
					},
					["petbar"] = {
						["buttonSizeMultiplier"] = 0.8,
						["buttonsPerRow"] = -1,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = 0,
						["yOffset"] = 105,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0; [overridebar] 0;[pet] 1;0",
					},
					["bar1"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 7,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = 0,
						["yOffset"] = 105,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0;1",
						["showGrid"] = true,
					},
					["bar2"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = -50,
						["yOffset"] = 0,
						["point"] = "RIGHT",
						["relativePoint"] = "RIGHT",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar3"] = {
						["buttonSizeMultiplier"] = 0.85,
						["buttonsPerRow"] = 3,
						["buttonNum"] = 6,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = 0,
						["yOffset"] = 20,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar4"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = -1,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = -10,
						["yOffset"] = 0,
						["point"] = "RIGHT",
						["relativePoint"] = "RIGHT",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar5"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = 0,
						["yOffset"] = 60,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar6"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 1,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = true,
						["xOffset"] = 315,
						["yOffset"] = 20,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar7"] = {
						["buttonSizeMultiplier"] = 0.85,
						["buttonsPerRow"] = 3,
						["buttonNum"] = 6,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 0,
						["yOffset"] = 0,
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["enable"] = true,
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar8"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 1,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["enable"] = false,
						["xOffset"] = -315,
						["yOffset"] = 20,
						["point"] = "BOTTOM",
						["relativePoint"] = "BOTTOM",
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar9"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 0,
						["yOffset"] = 0,
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["enable"] = false,
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
					["bar10"] = {
						["buttonSizeMultiplier"] = 0.9,
						["buttonsPerRow"] = 12,
						["buttonNum"] = 12,
						["buttonGap"] = CO.AB.ACTIONBUTTON_GAP,
						["xOffset"] = 0,
						["yOffset"] = 0,
						["point"] = "CENTER",
						["relativePoint"] = "CENTER",
						["enable"] = false,
						["visibilityCondition"] = "[petbattle] 0; [vehicleui] 0;[overridebar] 0;1",
						["showGrid"] = true,
					},
			},
			["unitframe"] = {
					["units"] = {
						["player"] = {
							["enable"] = true,
							["healthWidth"] = 295,
							["healthHeight"] = 70,
							["width"] = 295,
							["height"] = 70,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 290,
								["barHeight"] = 10,
								["barXOffset"] = 0,
								["barYOffset"] = 2,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["fontFlags"] = "",
								["xOffset"] = 10,
								["xFontShadowOffset"] = -1,
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 18,
								["fontType"] = "Walkway Black",
								["xFontShadowOffset"] = -1,
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 175,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "TOPLEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 10,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["target"] = {
							["enable"] = true,
							["healthWidth"] = 295,
							["healthHeight"] = 70,
							["width"] = 295,
							["height"] = 70,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "LEFT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "BOTTOMRIGHT",
								["relativePosition"]= "TOPRIGHT",
								["offsetX"]= 0,
								["offsetY"]= 25,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 290,
								["barHeight"] = 10,
								["barXOffset"] = 0,
								["barYOffset"] = 2,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 18,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 175,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "TOPLEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 10,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["targettarget"] = {
							["enable"] = true,
							["healthWidth"] = 130,
							["healthHeight"] = 30,
							["width"] = 150,
							["height"] = 50,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 25,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "LEFT",
								["relativePosition"]= "RIGHT",
								["offsetX"]= 2,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 130,
								["barHeight"] = 8,
								["barXOffset"] = 0,
								["barYOffset"] = -8,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "BOTTOM",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = false,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 100,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 14,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 125,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["focus"] = {
							["enable"] = true,
							["healthWidth"] = 180,
							["healthHeight"] = 40,
							["width"] = 150,
							["height"] = 173,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "LEFT",
								["relativePosition"]= "RIGHT",
								["offsetX"]= 2,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 11,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 180,
								["barHeight"] = 8,
								["barXOffset"] = 0,
								["barYOffset"] = -8,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 11,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 14,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 85,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 11,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -20,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["focustarget"] = {
							["enable"] = true,
							["healthWidth"] = 130,
							["healthHeight"] = 30,
							["width"] = 60,
							["height"] = 91,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["auras"] = {
								["enable"]			= false,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "LEFT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "BOTTOMRIGHT",
								["relativePosition"]= "BOTTOMRIGHT",
								["offsetX"]= 0,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["barWidth"] = 130,
								["barHeight"] = 8,
								["barXOffset"] = 0,
								["barYOffset"] = -8,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = false,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 14,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 64,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["xOffset"] = -25,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["pet"] = {
							["enable"] = true,
							["healthWidth"] = 180,
							["healthHeight"] = 50,
							["width"] = 138,
							["height"] = 138,
							["debuffs"] = {
								["perrow"] = 7,
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "LEFT",
								["relativePosition"]= "RIGHT",
								["offsetX"]= 5,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["barWidth"] = 180,
								["barHeight"] = 10,
								["barXOffset"] = 0,
								["barYOffset"] = -10,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["level"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["height"] = 15,
								["yOffset"] = 40,
								["xOffset"] = 0,
								["fontType"] = "Walkway Black",
								["fontFlags"] = "",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 18,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 60,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -24,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["arena"] = {
							["targetWrapWidth"] = 180,
							["enable"] = true,
							["healthWidth"] = 180,
							["healthHeight"] = 45,
							["width"] = 158,
							["height"] = 130,
							["visibilityCondition"] = "1",
							["debuffs"] = {
								["perrow"] = 7,
							},
							["sort"] = {
								["startFrom"] = "TOPLEFT",
								["gapX"] = 0,
								["gapY"] = 15,
								["directionHorizontal"] = "+",
								["directionVertical"] = "-",
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "LEFT",
								["relativePosition"]= "RIGHT",
								["offsetX"]= 2,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 180,
								["barHeight"] = 8,
								["barXOffset"] = 0,
								["barYOffset"] = 0,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 18,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 175,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["party"] = {
							["targetWrapWidth"] = 180,
							["enable"] = true,
							["healthWidth"] = 180,
							["healthHeight"] = 45,
							["width"] = 158,
							["height"] = 130,
							["visibilityCondition"] = "[group:raid] 0; [group:party] 1; 0",
							["debuffs"] = {
								["perrow"] = 7,
							},
							["sort"] = {
								["startFrom"] = "TOPLEFT",
								["gapX"] = 0,
								["gapY"] = 15,
								["directionHorizontal"] = "+",
								["directionVertical"] = "-",
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 25,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "LEFT",
								["relativePosition"]= "RIGHT",
								["offsetX"]= 5,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 180,
								["barHeight"] = 8,
								["barXOffset"] = 0,
								["barYOffset"] = 0,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 18,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 175,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["raid"] = {
							["targetWrapWidth"] = 460,
							["enable"] = true,
							["healthWidth"] = 85,
							["healthHeight"] = 45,
							["width"] = 70,
							["height"] = 40,
							["visibilityCondition"] = "[@raid21, noexists] 1; 0",
							["debuffs"] = {
								["perrow"] = 7,
							},
							["sort"] = {
								["gapX"] = 1,
								["gapY"] = 1,
								["directionHorizontal"] = "-",
								["directionVertical"] = "+",
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 2,
								["size"] 			= 20,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "HARMFUL",
								["position"] 		= "CENTER",
								["relativePosition"]= "CENTER",
								["offsetX"]= 20,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = false,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 80,
								["barHeight"] = 9,
								["barXOffset"] = 0,
								["barYOffset"] = 2,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "LEFT",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = false,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 11,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 50,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 25,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["raid40"] = {
							["targetWrapWidth"] = 420,
							["enable"] = true,
							["healthWidth"] = 80,
							["healthHeight"] = 35,
							["width"] = 70,
							["height"] = 40,
							["visibilityCondition"] = "[@raid21, exists] 1; 0",
							["debuffs"] = {
								["perrow"] = 7,
							},
							["sort"] = {
								["startFrom"] = "TOPRIGHT",
								["gapX"] = 1,
								["gapY"] = 1,
								["directionHorizontal"] = "-",
								["directionVertical"] = "+",
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 2,
								["size"] 			= 20,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "RIGHT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "HARMFUL",
								["position"] 		= "CENTER",
								["relativePosition"]= "CENTER",
								["offsetX"]= 20,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = false,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 75,
								["barHeight"] = 7,
								["barXOffset"] = 0,
								["barYOffset"] = 2,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "LEFT",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = false,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 0,
								["fontHeight"] = 11,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 50,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = false,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 25,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["boss"] = {
							["targetWrapWidth"] = 190,
							["enable"] = true,
							["healthWidth"] = 190,
							["healthHeight"] = 40,
							["width"] = 115,
							["height"] = 68,
							["visibilityCondition"] = "1",
							["debuffs"] = {
								["perrow"] = 7,
							},
							["sort"] = {
								["startFrom"] = "TOPLEFT",
								["gapX"] = 0,
								["gapY"] = 15,
								["directionHorizontal"] = "+",
								["directionVertical"] = "-",
							},
							["auras"] = {
								["enable"]			= true,
								["numSlots"] 		= 5,
								["size"] 			= 32,
								["maxPerRow"] 		= 5,
								["growthDirectionX"]= "LEFT",
								["growthDirectionY"]= "UP",
								["debuffsFirst"] 	= true,
								["onlyFromType"] 	= "",
								["position"] 		= "RIGHT",
								["relativePosition"]= "LEFT",
								["offsetX"]= -2,
								["offsetY"]= 0,
							},
							["targetIcon"] = {
								["position"] = "TOP",
								["offsetX"] = 0,
								["offsetY"] = 5,
								["size"] = 16,
							},
							["portrait"] = {
								["enable"] = true,
								["alpha"] = 0.25,
							},
							["power"] = {
								["text_format"] = "[powercolor][power:current-max]",
								["fontType"] = "Walkway Black",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "RIGHT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -10,
								["yOffset"] = 0,
								["width"] = 0,
								["barWidth"] = 190,
								["barHeight"] = 10,
								["barXOffset"] = 0,
								["barYOffset"] = -10,
								["barPosition"] = "BOTTOM",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["combatfade"] = true,
							["castbar"] = {
								["iconAttached"] = false,
								["iconSize"] = 54,
								["height"] = 35,
								["width"] = 478,
							},
							["health"] = {
								["text_format"] = "[healthcolor][health:current-max]",
								["position"] = "LEFT",
								["point"] = "TOP",
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["yOffset"] = 0,
								["fontType"] = "Walkway Black",
								["xOffset"] = 10,
								["fontFlags"] = "",
								["width"] = 0,
								["horizontalAlign"] = "LEFT",
								["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
								["barBorderColor"] = {0, 0, 0, 1},
								["fontColor"] = {1, 0.84, 0, 1},
								["barInverseFill"] = false,
								["barOrientation"] = "HORIZONTAL",
							},
							["name"] = {
								["text_format"] = "[namecolor][name]",
								["position"] = "CENTER",
								["enable"] = true,
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["xOffset"] = 0,
								["yOffset"] = 30,
								["fontHeight"] = 13,
								["fontType"] = "Walkway Black",
								["yFontShadowOffset"] = -1,
								["fontFlags"] = "OUTLINE",
								["width"] = 175,
							},
							["level"] = {
								["text_format"] = "[namecolor][name]",
								["fontHeight"] = 12,
								["position"] = "LEFT",
								["enable"] = true,
								["fontFlags"] = "",
								["fontType"] = "Walkway Black",
								["fontShadowColor"] = {0,0,0,1},
								["xFontShadowOffset"] = 1,
								["yFontShadowOffset"] = 1,
								["xOffset"] = -25,
								["yOffset"] = 0,
								["doNotShowOnMaxLevel"] = true,
								["width"] = 0,
								["fontColor"] = {1, 0.84, 0, 1},
							},
							["infoPanel"] = {
								["enable"] = true,
							},
							["height"] = 80,
							["classbar"] = {
								["height"] = 15,
								["autoHide"] = true,
							},
						},
						["all"] = {
							["reactionColors"] = {
								["friendly"] = E.ReactionColors["friendly"],
								["neutral"] = E.ReactionColors["neutral"],
								["unfriendly"] = E.ReactionColors["unfriendly"],
								["hostile"] = E.ReactionColors["hostile"],
							},
							["nameFont"] = {
								["type"] = "Walkway Black",
								["height"] = 15,
								["shadow"] = {}
							},
							["borderWidth"] = 50,
							["borderHeight"] = 1,
							["barTexture"] = "CUI Modern 2",
							["barTexturePath"] = "Interface/AddOns/CUI/Textures/minimalistic/minimalistic",
						},
					},
					
			},
		}
	}
end