local E = select(2, ...) -- Engine
local CO = E:LoadModules("Config")

local Grid
-- Base by Akeru [http://www.wowinterface.com/downloads/info6153-Align.html]
function CO:ToggleMoveGrid()
	if Grid then
		Grid:Hide()
		Grid = nil
	else
		Grid = CreateFrame('Frame', nil, UIParent) 
		Grid:SetAllPoints(UIParent)
		local w = GetScreenWidth() / 128
		local h = GetScreenHeight() / 72
		for i = 0, 128 do
			local tex = Grid:CreateTexture(nil, 'BACKGROUND')
			if i == 64 then
				tex:SetColorTexture(1, 1, 0, 0.5)
			else
				tex:SetColorTexture(1, 1, 1, 0.15)
			end
			tex:SetPoint('TOPLEFT', Grid, 'TOPLEFT', i * w - 1, 0)
			tex:SetPoint('BOTTOMRIGHT', Grid, 'BOTTOMLEFT', i * w + 1, 0)
		end
		for i = 0, 72 do
			local tex = Grid:CreateTexture(nil, 'BACKGROUND')
			if i == 36 then
				tex:SetColorTexture(1, 1, 0, 0.5)
			else
				tex:SetColorTexture(1, 1, 1, 0.15)
			end
			tex:SetPoint('TOPLEFT', Grid, 'TOPLEFT', 0, -i * h + 1)
			tex:SetPoint('BOTTOMRIGHT', Grid, 'TOPRIGHT', 0, -i * h - 1)
		end	
	end
end