local E = select(2, ...) -- Engine
local CO = E:LoadModules("Config")

local Major = [[|cff1784d1- Extra Actionbutton sometimes does not show up (This became insanely rare and nearly impossible to recreate)
- The 'Hide Notification' setting for the actioncam doesn't take effect on re-login, while it does when reloading
- The coordinate query results in constantly rising memory due to a memory leak in the new Map API. Sadly, no Addon Author can do anything about this|r]]

local Minor = [[|cff1784d1- Toggling the player nameplate via blizzard options is not being registered by CUIs getter
- After removing On-Use items or gear from the actionbars, the border stays green
- Resetting the anchors just works one time and then requires a reload. Absolutely not sure what causes this|r]]

CO.Options.args.bugtracker = {
	type = "group",
	name = "Bugtracker",
	order = 501,
	args = {
		HeaderMajor = {
			order = 1,
			type = "header",
			name = "Major",
		},
		ContentMajor = {
			order = 2,
			type = "description",
			name = Major,
			fontSize = "medium",
		},
		HeaderMinor = {
			order = 3,
			type = "header",
			name = "Minor",
		},
		ContentMinor = {
			order = 4,
			type = "description",
			name = Minor,
			fontSize = "medium",
		},
	}
}