local E = select(2, ...) -- Engine
local CO, L = E:LoadModules("Config", "Locale")

CO.Options.args.credits = {
	type = "group",
	name = "Credits",
	order = -1,
	args = {
		Banner = {
			type = "description",
			name = "",
			image = [[Interface\AddOns\CUI\Textures\CUILogo]],
			imageWidth = 128,
			imageHeight = 128,
			width = "full",
			order = 1,
		},
		Description = {
			type = "description",
			name = "|cff1784d1" .. L["CUI is a Custom User Interface, designed to be yours. In every possible way. [At some point in the future]"] .. "|r",
			fontSize = "medium",
			order = 2,
		},
		Icon = {
			type = "description",
			name = "|cff1784d1" .. L["Developed by Arenima @ Alleria EU\nLeader of Bane of the Legion"] .. "|r",
			image = [[Interface\AddOns\CUI\Textures\BOTLLogo]],
			-- imageCoords = {0.1,0.9,0.1,0.9},
			imageWidth = 100,
			imageHeight = 100,
			order = 3,
		},
		ThanksTo = {
			type = "description",
			name = "|cff1784d1\n\nReally special thanks to:\n-Skaltryos @ Alleria EU\n-Tiray/Myralin @ Alleria EU\n\nYou are amazing!",
			fontSize = "small",
			order = 4,
		},
	},
}