local E = select(2, ...) -- Engine
local TT = E:LoadModules("Tooltip")

TT.TooltipStyles = {
	["Default"] = {
		["BorderR"] 	= 0.4,
		["BorderG"] 	= 0.4,
		["BorderB"] 	= 0.4,
		["BorderA"] 	= 1,
		["OverrideBorder"] 	= true,
		
		["BackgroundR"] = 0.15,
		["BackgroundG"] = 0.15,
		["BackgroundB"] = 0.15,
		["BackgroundA"] = 0.35,
		["BorderSize"] 	= 1,
	},
	["Aura"] = {
		["BorderR"] 	= 0.9,
		["BorderG"] 	= 0.9,
		["BorderB"] 	= 0.9,
		["BorderA"] 	= 1,
		["OverrideBorder"] 	= true,
		
		["BackgroundR"] = 0.15,
		["BackgroundG"] = 0.15,
		["BackgroundB"] = 0.15,
		["BackgroundA"] = 0.35,
		["BorderSize"] 	= 1,
	},
	["Item"] = {
		["BorderR"] 	= 1,
		["BorderG"] 	= 1,
		["BorderB"] 	= 1,
		["BorderA"] 	= 0.35,
		["BorderSize"] 	= 1,
		["OverrideBorder"] 	= true,
		
		["BackgroundR"] = 0.1,
		["BackgroundG"] = 0.1,
		["BackgroundB"] = 0.1,
		["BackgroundA"] = 1,
	},
	["Spell"] = {
		["BorderR"] 	= 1,
		["BorderG"] 	= 1,
		["BorderB"] 	= 1,
		["BorderA"] 	= 1,
		["BorderSize"] 	= 1,
		["OverrideBorder"] 	= true,
		
		["BackgroundR"] = nil,
		["BackgroundG"] = nil,
		["BackgroundB"] = nil,
		["BackgroundA"] = 1,
	},
	["Unit"] = {
		["BorderR"] 	= 1,
		["BorderG"] 	= 1,
		["BorderB"] 	= 1,
		["BorderA"] 	= 1,
		["BorderSize"] 	= 1,
		["OverrideBorder"] 	= true,
		
		["BackgroundR"] = nil,
		["BackgroundG"] = nil,
		["BackgroundB"] = nil,
		["BackgroundA"] = 0.35,
	}
}
TT.CurrentTooltipStyle = {
	["Default"]	= {},
	["Aura"]	= {},
	["Item"] 	= {},
	["Spell"] 	= {},
	["Quest"] 	= {},
	["Unit"] 	= {},
}