local E = select(2, ...) -- Engine
-- General testing file for snippets etc

local function GreySell()
  for bag=0,4 do
    for slot=0,GetContainerNumSlots(bag) do
      local link = GetContainerItemLink(bag, slot)
      if link and select(3, GetItemInfo(link)) == 0 then
        -- ShowMerchantSellCursor(1)
        UseContainerItem(bag, slot)
      end
    end
  end
end

local function Test()
	-- E:print("Debug")
	
	local f = CreateFrame("Frame")
	f:RegisterEvent("MERCHANT_SHOW")
	f:SetScript("OnEvent", GreySell)
	if MerchantFrame:IsVisible() then GreySell() end
end

SlashCmdList['CUI_DEVTEST'] = function()
	if E.Debug then
		Test()
	else
		E:print("Debug mode is disabled!")
	end
end
SLASH_CUI_DEVTEST1 = '/cuitest'