local E = select(2, ...) -- Engine
local L = E:LoadModules("LOC_deDE")

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

------- UNITS -------
L["player"] 		= "Spieler"
L["target"] 		= "Ziel"
L["pet"] 			= "Begleiter"
L["targettarget"] 	= "Ziel des Ziels"
L["raid"] 			= "Schlachtzug"
L["party"] 			= "Gruppe"
L["focus"] 			= "Fokus"
L["focustarget"] 	= "Fokusziel"

------- MOVER HANDLES -------
-- Defines the frame names on mover handles (anchor mode)
L["frame"] 				= "fenster"
L["Frame"] 				= "Fenster"
L["playerFrame"] 		= "Spielerfenster"
L["petFrame"] 			= "Begleiterfenster"
L["targetFrame"] 		= "Zielfenster"
L["targettargetFrame"] 	= "Ziel des Ziels"
L["focusFrame"] 		= "Fokusfenster"
L["focustargetFrame"] 	= "Fokuszielfenster"
L["arenaFrame"] 		= "Arenafenster"
L["partyFrame"] 		= "Gruppenfenster"
L["bossFrame"] 			= "Bossfenster"
L["raidFrame"] 			= "Schlachtzugsfenster"
L["raid40Frame"] 		= "40-er Schlachtzugsfenster"
L["chatFrame"]			= "Chat"
L["stanceBarFrame"]		= "Haltungsleiste"
L["actionbarFrame"]		= "Aktionsleiste"
L["tooltipAnchor"]		= "Tooltip Anker"
L["alternatePower"]		= "Alternative Energie"
L["buffs"]				= "Buffs"
L["debuffs"]			= "Debuffs"
L["micromenu"]			= "Mikromenü"
L["raidRoleFrame"]		= "Rollenübersicht"
L["vehicleSeatFrame"]	= "Fahrzeug-Sitze"

------- MISC -------
L["castbar"] 	= "Zauberleiste"
L["Health"]		= "Leben"
L["Power"]		= "Ressource"
L["AuraBars"]	= "Auren-Leisten"

L["Left"]		= "Links"
L["Center"]		= "Mitte"
L["Right"]		= "Rechts"

L["of"]			= "von"

L["Modifies the color of"] = "Ändert die Farbe der Ressource"
L["MANA"]			= "Mana"
L["RAGE"]			= "Wut"
L["FOCUS"]			= "Fokus"
L["ENERGY"]			= "Energie"
L["COMBO_POINTS"]	= "Combopunkte"
L["RUNES"]			= "Runen"
L["RUNIC_POWER"]	= "Runenmacht"
L["SOUL_SHARDS"]	= "Seelensplitter"
L["LUNAR_POWER"]	= "Astrale Macht"
L["HOLY_POWER"]		= "Heilige Kraft"
L["MAELSTROM"]		= "Mahlstrom"
L["CHI"]			= "Chi"
L["INSANITY"]		= "Wahnsinn"
L["ARCANE_CHARGES"]	= "Arkane Aufladung"
L["FURY"]			= "Jähzorn"
L["PAIN"]			= "Schmerz"
L["STAGGER"]		= "Staffelung"

------- STATS -------
L["agility"] = "Beweglichkeit"
L["mastery"] = "Meisterschaft"
L["leech"] = "Lebensraub"
L["versatility"] = "Vielseitigkeit"
L["haste"] = "Tempo"
L["crit"] = "Kritischer Trefferwert"

------- CONFIG -------
-- Main
L["Lua-Errors"] = "Lua-Fehler"
L["Enable"] = "Einschalten"
L["Unitframes"] = "Einheitenfenster"
L["Actionbars"] = "Aktionsleisten"

L["All"] = "Alle"
L["Player"] = "Spieler"
L["Target"] = "Ziel"
L["Pet"] = "Begleiter"
L["TargetTarget"] = "Ziel des Ziels"
L["Focus"] = "Fokus"
L["FocusTarget"] = "Fokusziel"
L["Arena"] = "Arenafenster"
L["Party"] = "Gruppenfenster"
L["Boss"] = "Bossfenster"
L["Raid"] = "Schlachtzugsfenster"
L["Raid40"] = "Schlachtzugsfenster 40"

L["Colors"] = "Farben"
L["Bar"] = "Leiste"
L["Stancebar"] = "Haltungsleiste"
L["Show/Hide Lua-Errors. It currently is recommended to hide them!"] 	= "Zeige Lua-Fehler. Es wird empfohlen, diese momentan versteckt zu lassen!"
L["SetKeybinds"] 														= "Tastenbelegung"
L["ShowGrid"] 															= "Zeige leere Tasten"
L["Install"] 															= "Installieren"
L["Install everything"] 												= "Alles Installieren"
L["Toggle Anchors"] 													= "Anker umschalten"
L["HorizontalAlign"]													= "Horizontale Ausrichtung"
L["Unlock various elements of the UI to reposition them."] 				= "Gibt verschiedene Elemente des Interfaces frei um diese neu zu positionieren."
L["Reset Anchors"] 														= "Anker zurücksetzen"
L["Reset all frames to their original positions."] 						= "Alle Elemente auf ihre ursprüngliche Position zurücksetzen."
-- Global
L["Nameplates"] 														= "Namensplaketten"
L["Personal Nameplate"] 												= "Persönliche Namensplakette"
L["Enable/Disable the Blizzard default personal nameplate in the center of the screen"] = "Zeigen/Verstecken der persönlichen Standard-Namensplakette in der Mitte des Bildschirms"

------- CREDITS -------
L["Developed by Arenima @ Alleria EU\nLeader of Bane of the Legion"]											= "Entwickelt von Arenima @ Alleria EU\nGildenleitung von Bane of the Legion"
L["CUI is a Custom User Interface, designed to be yours. In every possible way. [At some point in the future]"]	= "CUI ist ein hoch modifizierbares Benutzerinterface, entwickelt um in jeder Hinsicht dir zu gehören. [Irgendwann in der Zukunft]"







--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

E:AddModule("LOC_deDE", L)