local E = select(2, ...) -- Engine
local L = E:LoadModules("LOC_enUS")

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

------- UNITS -------
L["player"] 		= "Player"
L["target"] 		= "Target"
L["pet"] 			= "Pet"
L["targettarget"] 	= "Target of Target"
L["raid"] 			= "Raid"
L["party"] 			= "Party"
L["focus"] 			= "Focus"
L["focustarget"] 	= "Focustarget"

------- MOVER HANDLES -------
-- Defines the frame names on mover handles (anchor mode)
L["frame"] 				= "frame"
L["Frame"] 				= "Frame"
L["playerFrame"] 		= "Playerframe"
L["petFrame"] 			= "Petframe"
L["targetFrame"] 		= "Targetframe"
L["targettargetFrame"] 	= "Target of Target Frame"
L["focusFrame"] 		= "Focusframe"
L["focustargetFrame"] 	= "Focustargetframe"
L["arenaFrame"] 		= "Arenaframe"
L["partyFrame"] 		= "Partyframe"
L["bossFrame"] 			= "Bossframe"
L["raidFrame"] 			= "Raidframe"
L["raid40Frame"] 		= "40 Raidframe"
L["chatFrame"]			= "Chat"
L["stanceBarFrame"]		= "Stancebar"
L["actionbarFrame"]		= "Actionbar"
L["tooltipAnchor"]		= "Tooltip Anchor"
L["alternatePower"]		= "Alternate Energy"
L["buffs"]				= "Buffs"
L["debuffs"]			= "Debuffs"
L["micromenu"]			= "Micromenu"
L["raidRoleFrame"]		= "Role Overview"
L["vehicleSeatFrame"]	= "Vehicle-Seats"

------- MISC -------
L["castbar"] 	= "Castbar"
L["Health"]		= "Health"
L["Power"]		= "Power"
L["AuraBars"]	= "Aura-Bars"

L["Left"]		= "Left"
L["Center"]		= "Center"
L["Right"]		= "Right"

L["of"]			= "of"

L["Modifies the color of"] = "Modifies the color of the resource"
L["MANA"]			= "Mana"
L["RAGE"]			= "Rage"
L["FOCUS"]			= "Focus"
L["ENERGY"]			= "Energy"
L["COMBO_POINTS"]	= "Combo Points"
L["RUNES"]			= "Runes"
L["RUNIC_POWER"]	= "Runic Power"
L["SOUL_SHARDS"]	= "Soul Shards"
L["LUNAR_POWER"]	= "Lunar Power"
L["HOLY_POWER"]		= "Holy Power"
L["MAELSTROM"]		= "Maelstrom"
L["CHI"]			= "Chi"
L["INSANITY"]		= "Insanity"
L["ARCANE_CHARGES"]	= "Arcane Charge"
L["FURY"]			= "Fury"
L["PAIN"]			= "Pain"
L["STAGGER"]		= "Stagger"

------- STATS -------
L["agility"] = "Agility"
L["mastery"] = "Mastery"
L["leech"] = "Leech"
L["versatility"] = "Versatility"
L["haste"] = "Haste"
L["crit"] = "Critical Strike"

------- CONFIG -------
-- Main
L["Lua-Errors"] 														= "Lua-Errors"
L["Enable"] = "Enable"
L["Unitframes"] = "Unitframes"
L["Actionbars"] = "Actionbars"

L["All"] = "All"
L["Player"] = "Player"
L["Target"] = "Target"
L["Pet"] = "Pet"
L["TargetTarget"] = "Target target"
L["Focus"] = "Focus"
L["FocusTarget"] = "Focus target"
L["Arena"] = "Arenaframes"
L["Party"] = "Partyframes"
L["Boss"] = "Bossframes"
L["Raid"] = "Raidframes"
L["Raid40"] = "Raidframes 40"

L["Colors"] = "Colors"
L["Bar"] = "Bar"
L["Stancebar"] = "Stancebar"
L["Show/Hide Lua-Errors. It currently is recommended to hide them!"] 	= "Show/Hide Lua-Errors. It currently is recommended to hide them!"
L["SetKeybinds"] 														= "Set Keybinds"
L["ShowGrid"] 															= "Show empty"
L["Install"] 															= "Install"
L["Install everything"] 												= "Install everything"
L["Toggle Anchors"] 													= "Toggle Anchors"
L["HorizontalAlign"]													= "Horizontal Align"
L["Unlock various elements of the UI to reposition them."] 				= "Unlock various elements of the UI to reposition them."
L["Reset Anchors"] 														= "Reset Anchors"
L["Reset all frames to their original positions."] 						= "Reset all frames to their original positions."
-- Global
L["Nameplates"] 														= "Nameplates"
L["Personal Nameplate"] 												= "Personal Nameplate"
L["Enable/Disable the Blizzard default personal nameplate in the center of the screen"] = "Enable/Disable the Blizzard default personal nameplate in the center of the screen"

------- CREDITS -------
L["Developed by Arenima @ Alleria EU\nLeader of Bane of the Legion"]											= "Developed by Arenima @ Alleria EU\nLeader of Bane of the Legion"
L["CUI is a Custom User Interface, designed to be yours. In every possible way. [At some point in the future]"]	= "CUI is a Custom User Interface, designed to be yours. In every possible way. [At some point in the future]"







--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

E:AddModule("LOC_enUS", L)